#### Props

- [`value`](#value)
- [`onChange`](#onchange)
- [`disableIndicator`](#disableindicator)
- [`indicatorStyle`](#indicatorstyle)
- [`variant`](#variant)

> Also receives all [View](https://reactnative.dev/docs/view#props) props

## Child Component

### Tab.Item

#### Props

> Receives all [Button](https://reactnativeelements.com/docs/button#props) props

---

### TabView

#### Props

- [`value`](#value)
- [`onChange`](#onchange)
- [`animationType`](#animationtype)
- [`animationConfig`](#animationconfig)

---

### TabViewItem

#### Props

> Receives all [View](https://reactnative.dev/docs/view#props) props

---

## Reference

### `value`

Child position index value.

|   Type   | Default |
| :------: | :-----: |
| `number` |   `0`   |

---

### `onChange`

On Index Change Callback

|    Type    | Default |
| :--------: | :-----: |
| `function` | `none`  |

---

### `disableIndicator`

Disable the indicator below

|   Type    | Default |
| :-------: | :-----: |
| `boolean` | `false` |

---

### `indicatorStyle`

Additional styling for tab indicator (optional)

|        Type         |    Default     |
| :-----------------: | :------------: |
| View style (object) | Internal Style |

---

### `variant`

Background Variant

|          Type          |  Default  |
| :--------------------: | :-------: |
| 'primary' or 'default' | `default` |

---

### `animationtype`

|         Type         | Default  |
| :------------------: | :------: |
| 'spring' or 'timing' | `spring` |

---

### `animationconfig`

|   Type   | Default |
| :------: | :-----: |
| 'Object' | `none`  |

---
